Hamlet.STYLE (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.hamlet2, class: Hamlet, class: STYLE

Package org.apache.hadoop.yarn.webapp.hamlet2

# Class Hamlet.STYLE<T extends HamletSpec.__>

java.lang.Object
org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl.EImp<T>
org.apache.hadoop.yarn.webapp.hamlet2.Hamlet.STYLE<T>

All Implemented Interfaces:
  `HamletSpec.__`, `HamletSpec._Child`, `HamletSpec._Content`, `HamletSpec.I18nAttrs`, `HamletSpec.STYLE`

Enclosing class:
  Hamlet

public class Hamlet.STYLE<T extends HamletSpec.__> extends HamletImpl.EImp<T> implements HamletSpec.STYLE

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `STYLE(String name, T parent, EnumSet<HamletImpl.EOpt> opts)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Hamlet.STYLE<T>`
  `__(Object... lines)`
  Content of the element
  `Hamlet.STYLE<T>`
  `$dir(HamletSpec.Dir value)`
  direction for weak/neutral text
  `Hamlet.STYLE<T>`
  `$lang(String value)`
  language code
  `Hamlet.STYLE<T>`
  `$media(EnumSet<HamletSpec.Media> value)`
  designed for use with these media
  `Hamlet.STYLE<T>`
  `$title(String value)`
  advisory title
  `Hamlet.STYLE<T>`
  `$type(String value)`
  content type of style language

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl.EImp

  `__, _endTag, _inline, _p, _pre, _v, addAttr, addAttr, addMediaAttr, addRelAttr, closeAttrs`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

  `__`

- ## Constructor Details

  - ### STYLE

    public STYLE(String name, T parent, EnumSet<HamletImpl.EOpt> opts)

- ## Method Details

  - ### $type

    public Hamlet.STYLE<T> $type(String value)
    Description copied from interface: `HamletSpec.STYLE`
    content type of style language
    Specified by:
      `$type` in interface `HamletSpec.STYLE`
    Parameters:
      `value` - the content of the element.
    Returns:
      the current element builder

  - ### $media

    public Hamlet.STYLE<T> $media(EnumSet<HamletSpec.Media> value)
    Description copied from interface: `HamletSpec.STYLE`
    designed for use with these media
    Specified by:
      `$media` in interface `HamletSpec.STYLE`
    Parameters:
      `value` - set of media.
    Returns:
      the current element builder

  - ### $title

    public Hamlet.STYLE<T> $title(String value)
    Description copied from interface: `HamletSpec.STYLE`
    advisory title
    Specified by:
      `$title` in interface `HamletSpec.STYLE`
    Parameters:
      `value` - the content of the element.
    Returns:
      the current element builder

  - ### $lang

    public Hamlet.STYLE<T> $lang(String value)
    Description copied from interface: `HamletSpec.I18nAttrs`
    language code
    Specified by:
      `$lang` in interface `HamletSpec.I18nAttrs`
    Parameters:
      `value` - the code
    Returns:
      the current element builder

  - ### $dir

    public Hamlet.STYLE<T> $dir(HamletSpec.Dir value)
    Description copied from interface: `HamletSpec.I18nAttrs`
    direction for weak/neutral text
    Specified by:
      `$dir` in interface `HamletSpec.I18nAttrs`
    Parameters:
      `value` - the `HamletSpec.Dir` value
    Returns:
      the current element builder

  - ### __

    public Hamlet.STYLE<T> __(Object... lines)
    Description copied from interface: `HamletSpec._Content`
    Content of the element
    Specified by:
      `__` in interface `HamletSpec._Content`
    Parameters:
      `lines` - of content
    Returns:
      the current element builder